## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook1

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook1) hardy; urgency=low

  * Bumped version number

 -- Michael Frey <michael.frey@canonical.com>  Thu, 24 Jul 2008 15:32:27 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44netbook3) hardy; urgency=low

  * Fix broadcom Makefile to get correct objects from split-module.
    LP: #243930

 -- Michael Frey <michael.frey@canonical.com>  Wed, 09 Jul 2008 18:59:30 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44netbook2) hardy; urgency=low

  * New Broadcom wireless driver 5.10.27
  * Fix for LP#237364

 -- Michael Frey <michael.frey@canonical.com>  Wed, 09 Jul 2008 15:03:33 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44netbook1) hardy; urgency=low

  * New Madwifi version

 -- Michael Frey <michael.frey@canonical.com>  Mon, 07 Jul 2008 13:54:44 +0100

linux-restricted-modules-2.6.24 (2.6.24.13-19.44) hardy-proposed; urgency=low

  * Just ditch bcmwl from nic-restricted udeb.

 -- Ben Collins <ben.collins@canonical.com>  Thu, 26 Jun 2008 19:40:42 -0400

linux-restricted-modules-2.6.24 (2.6.24.13-19.43) hardy-proposed; urgency=low

  * Use split_module on wl.ko
  * Add wl_supported for lrm-common

 -- Ben Collins <ben.collins@canonical.com>  Thu, 26 Jun 2008 10:34:57 -0400

linux-restricted-modules-2.6.24 (2.6.24.13-19.42) hardy-proposed; urgency=low

  * ABI bump to -19

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Jun 2008 10:43:41 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-18.41) hardy-security; urgency=low

  * Fix powerpc FTBS, need to explicitly disable Broadcom driver build.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 30 May 2008 10:49:48 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-18.40) hardy-security; urgency=low

  * Fix lpia FTBS. The build arch for the new Broadcom WL driver was
    not properly specified.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 15:02:53 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-18.39) hardy-security; urgency=low

  * Security upload with ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 11:25:17 -0600

linux-restricted-modules-2.6.24 (2.6.24.13-17.38) hardy-proposed; urgency=low

  * Add new Broadcom driver that supports only PCI ID 14e4:4315. There is no
    overlap with any kernel driver, therefore no possiblity of regression.
  * Skip 17.37 version number since that is the Dell pre-installed
    version of LRM with this Broadcom driver. It was used by Dell but
    never got uploaded to the Ubuntu archive.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 28 May 2008 08:24:57 -0600

linux-restricted-modules-2.6.24 (2.6.24.12-17.36) hardy-proposed; urgency=low

  * nvidia: Do not divert libwfb.so, because if the xserver provides one
    it should be used. Remove the diversion in postinst. This caused at
    least problems with some websites making the xserver crash (LP: #212648),
    and missing or falsely colored shadows with compiz. (LP: #186382)
  * fglrx: Patch authatieventsd.sh to search for xauth files from
    /var/run/xauth/. Otherwise the session would freeze on logout for KDM
    users. Thanks Ilja Pavkovic! (LP: #118605)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 07 May 2008 11:27:35 +0300

linux-restricted-modules-2.6.24 (2.6.24.12-17.35) hardy-proposed; urgency=low

  * Kernel ABI bump to 17.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 02 May 2008 07:44:34 -0600

linux-restricted-modules-2.6.24 (2.6.24.12-16.34) hardy; urgency=low

  * Bump the ABI to 16.
  * rules: fix dh_strip to not strip the current versions of nvidia.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 11 Apr 2008 00:48:35 +0300

linux-restricted-modules-2.6.24 (2.6.24.12-15.33) hardy; urgency=low

  [ Matthias Klose ]
  * nvidia-glx: Install the TLS library in /usr/lib, symlink the one in
    /usr/lib/tls to the one in /usr/lib. LP: #205079.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 04 Apr 2008 16:59:50 +0300

linux-restricted-modules-2.6.24 (2.6.24.12-14.32) hardy; urgency=low

  * ABI bump to 14.
  * Madwifi 0.9.4 (LP: #208754):
    - fixes compilation for recently released kernel 2.6.24
    - introduces Minstrel rate control algorithm
    - introduces switch to turn ANI (Ambience Noise Immunity) off, which
      can help to improve performance (see also #705)
    - several bug fixes to improve stability
    - now defaults to radiotap headers in monitor mode
    - adds support for variable number of VAPs, tunable via module
      parameter
  * control: Drop the nvidia-kernel-ABIVER dependencies from nvidia-glx*, since
    fglrx is doing just fine without them, and they only create problems
    during upgrades when apt selects the first package to provide the
    virtual package. (LP: #188287)
  * ltmodem/serial.c: Modify to compile with 2.6.24. Enable ltmodem again.
    (LP: #210652)
  * Add openvz flavour.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 03 Apr 2008 01:45:22 +0300

linux-restricted-modules-2.6.24 (2.6.24.11-12.31) hardy; urgency=low

  * fglrx 8-3 (LP: #199304)
    - On workstation hardware 3D applications will no longer be corrupted
    if the screen width is not an integer multiple of 64 pixels, for
    example with a 1680x1050 wide screen display. Further details can be
    found in topic number 737-31720
    - Display flicker is no longer be noticed when the gnome screen-saver
    starts (LP: #198702)
    - Several image brightness and gamma-correction issues were
    resolved. Setting the gamma correction using xgamma, fglrx_xgamma,
    xorg.conf and in OpenGL games will all work as expected now.
    - Diagonal tearing will no longer be noticed when playing a video file
    using a video player that utilizes the XVideo extension
    - Video playback will no longer look blocky when playing a video file
    using a video player that utilizes the XVideo extension

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 11 Mar 2008 17:23:04 +0200


