## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook2

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook2) hardy; urgency=low

  * New 10_27_9 Broadcom driver

 -- Michael Frey <michael.frey@canonical.com>  Tue, 26 Aug 2008 18:52:23 -0400
