=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook3) hardy; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 08 Sep 2008 14:06:42 -0400
