=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (c) 2004 Herbert Xu <herbert@gondor.apana.org.au>
# Copyright (c) 2004-2005 Canonical Ltd.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

SHELL := sh -e

prefix := $(CURDIR)/debian/linux-restricted-modules
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
udeb_prefix := $(CURDIR)/debian/d-i-$(DEB_HOST_ARCH)

export CC=gcc
export GCC=gcc

# kernel
abi_version        = $(shell dpkg-parsechangelog | grep ^Version | sed 's/.*-//;s/\..*//')
kernel_version     = $(shell dpkg-parsechangelog | grep ^Source | sed 's/.*-//')
kernel_abi_version = $(kernel_version)-$(abi_version)
lrm_version        = $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}')

# nvidia
nv_base_version=1.0
nv_release := 96.43.05
nv_upstreamversion := ${nv_release}
nv_version := ${nv_release}
nv_new_release := 169.12
nv_new_upstreamversion := ${nv_new_release}
nv_new_version := ${nv_new_release}
nv_legacy_release := 71.86.04
nv_legacy_upstreamversion := ${nv_legacy_release}
nv_legacy_version := ${nv_legacy_release}

# fglrx
ati_xorg_base_version = 7.1.0
ati_revision = 8-3
ati_upstreamversion = ${ati_revision}
ati_xorg_version = ${ati_xorg_base_version}-${ati_revision}
ati_shar = ati-driver-installer-${ati_revision}-x86.x86_64.run

# fritz avm
avm_base_version = 3.11
#avm_version = ${avm_base_version}-${avm_revision}
avm_version = ${avm_base_version}
pkg_avmfw := $(shell awk '/Package: avm-fritz-firmware/ {print $$2}' debian/control.stub)
avmfw_dir = $(subst avm-fritz-firmware-,,$(pkg_avmfw))

# ltmodem
ltm_base_version = 8.31+2.6-alk-9
ltm_url = http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/

# madwifi
madwifi_version = 0.10.0

# broadcom wireless
bcmwl_version = 5.10.27
bcmwl_dir = bcmwl

# vmware-player
vmplay_dir = $(CURDIR)/debian/vmware-player-kernel-modules-$(kernel_abi_version)
vmserv_dir = $(CURDIR)/debian/vmware-server-kernel-modules-$(kernel_abi_version)
vmtool_dir = $(CURDIR)/debian/vmware-tools-kernel-modules-$(kernel_abi_version)

FGLRX   := 1
NVIDIA  := 1
MADWIFI := 1
BCMWL   := 1
FRITZ   := 1
LTMODEM := 1
VMWARE  := 0
VMDESCHED := 1

ifeq "$(DEB_HOST_ARCH)" "i386"
export karch=i386
bcmwl_arch := x86
mw_target := TARGET=i386-elf

nv_filename := NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1.run
nv_dirname := nvidia/NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1
nv_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86-${nv_new_upstreamversion}-pkg1
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86-${nv_legacy_upstreamversion}-pkg1
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package = fglrx
ati_url = http://www2.ati.com/drivers/linux/fglrx_${ati_revision}.zip
ati_archdir = x86
ati_nativelibdir = lib
ati_xorg_dir = x710
fritz_dir := fritz
split_fritz_modules += \
		fcdsl/src/fcdsl \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcdslusba/src/fcdslusba \
		fcpci/src/fcpci \
		fcusb/src/fcusb \
		fwlanusb/src/fwlanusb \
		fxusb/src/fxusb
flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic 386 openvz rt server)
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "amd64"
export karch=x86_64
bcmwl_arch := $(karch)
mw_target := TARGET=x86_64-elf

nv_filename := NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2.run
nv_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2
nv_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_upstreamversion}/${nv_filename}

nv_new_filename := NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2.run
nv_new_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_new_upstreamversion}-pkg2
nv_new_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_new_upstreamversion}/${nv_new_filename}

nv_legacy_filename := NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2.run
nv_legacy_dirname := nvidia/NVIDIA-Linux-x86_64-${nv_legacy_upstreamversion}-pkg2
nv_legacy_url := http://download.nvidia.com/XFree86/Linux-x86_64/${nv_legacy_upstreamversion}/${nv_legacy_filename}

ati_package := fglrx64
ati_url = http://www2.ati.com/drivers/linux/fglrx64_${ati_revision}.zip
ati_archdir = x86_64
ati_nativelibdir = lib64
ati_xorg_dir = x710_64a
fritz_dir := fritz64
split_fritz_modules += \
		fcdsl2/src/fcdsl2 \
		fcdslsl/src/fcdslsl \
		fcdslslusb/src/fcdslslusb \
		fcdslusb/1/fritz/src/fcdslusb \
		fcdslusb/2/fritz/src/fcdslusb2 \
		fcpci/src/fcpci
flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
ati_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server xen)
nv_flavours := $(addprefix $(kernel_abi_version)-,generic openvz rt server)
LTMODEM := 0 # no Winmodem support
VMDESCHED := 0
vmware_server_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
vmware_tools_extra_flavours := $(addprefix $(kernel_abi_version)-,server)
endif

ifeq "$(DEB_HOST_ARCH)" "ia64"
export karch=ia64
mw_target := TARGET=ia64-elf
flavours := $(addprefix $(kernel_abi_version)-,itanium mckinley)

NVIDIA  := 0 # no real upstream nvidia support
FGLRX   := 0 # no fireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player support
endif

ifeq "$(DEB_HOST_ARCH)" "powerpc"
export karch=powerpc
mw_target := TARGET=powerpc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,powerpc powerpc-smp powerpc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
BCMWL	:= 0 # no Broadcom wireless support yet
endif

ifeq "$(DEB_HOST_ARCH)" "hppa"
export karch=hppa
mw_target := TARGET=hppa-be-elf
flavours := $(addprefix $(kernel_abi_version)-,hppa32 hppa64)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

ifeq "$(DEB_HOST_ARCH)" "lpia"
export karch=i386
bcmwl_arch := x86
mw_target := TARGET=i386-elf
flavours := $(addprefix $(kernel_abi_version)-,lpia)

NVIDIA  := 0 # no nVidia support yet
FGLRX   := 0 # no FireGL support yet
MADWIFI := 1
BCMWL	:= 1
FRITZ   := 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif


ifeq "$(DEB_HOST_ARCH)" "sparc"
export karch=sparc
mw_target := TARGET=sparc-be-elf
flavours := $(addprefix $(kernel_abi_version)-,sparc64 sparc64-smp)

NVIDIA	:= 0 # no nVidia support yet
FGLRX	:= 0 # no FireGL support yet
MADWIFI := 0 # no madwifi support yet
BCMWL	:= 0 # no Broadcom wireless support yet
FRITZ	:= 0 # no AVM Fritz support
LTMODEM := 0 # no Winmodem support
VMWARE  := 0 # no vmware player supportt
endif

flavours_udeb := $(shell grep ^$(DEB_HOST_ARCH) debian/d-i/kernel-versions | awk '{print $$4}')

split_modules :=
ifeq "$(FGLRX)" "1"
split_modules += ati/build_mod/2.6.x/fglrx
endif
ifeq "$(MADWIFI)" "1"
split_modules += madwifi/ath_hal/ath_hal
endif
ifeq "$(FRITZ)" "1"
