=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook4) hardy; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 24 Oct 2008 19:45:05 -0400
