## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook4dennis1

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook4dennis1) hardy; urgency=low

  * Updated broadcom driver to version 5_10_27_11. (LP: 274831)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 16 Dec 2008 14:41:35 -0500
