=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 madwifi_version = 0.10.0
 
 # broadcom wireless
-bcmwl_version = 5.10.27
+bcmwl_version = 5_10_27_11
 bcmwl_dir = bcmwl
 
 # vmware-player
@@ -79,7 +79,9 @@
 
 ifeq "$(DEB_HOST_ARCH)" "i386"
 export karch=i386
-bcmwl_arch := x86
+bcmwl_arch := 32
+bcmwl_pkg := hybrid-portsrc-x86-$(bcmwl_arch)_$(bcmwl_version)
+bcmwl_tarball := $(bcmwl_pkg).tar.gz
 mw_target := TARGET=i386-elf
 
 nv_filename := NVIDIA-Linux-x86-${nv_upstreamversion}-pkg1.run
@@ -121,7 +123,9 @@
 
 ifeq "$(DEB_HOST_ARCH)" "amd64"
 export karch=x86_64
-bcmwl_arch := $(karch)
+bcmwl_arch := 64
+bcmwl_pkg := hybrid-portsrc-x86-$(bcmwl_arch)_$(bcmwl_version)
+bcmwl_tarball := $(bcmwl_pkg).tar.gz
 mw_target := TARGET=x86_64-elf
 
 nv_filename := NVIDIA-Linux-x86_64-${nv_upstreamversion}-pkg2.run
@@ -201,7 +205,9 @@
 
 ifeq "$(DEB_HOST_ARCH)" "lpia"
 export karch=i386
-bcmwl_arch := x86
+bcmwl_arch := 32
+bcmwl_pkg := hybrid-portsrc-x86-$(bcmwl_arch)_$(bcmwl_version)
+bcmwl_tarball := $(bcmwl_pkg).tar.gz
 mw_target := TARGET=i386-elf
 flavours := $(addprefix $(kernel_abi_version)-,lpia)
 
@@ -229,13 +235,3 @@
 VMWARE  := 0 # no vmware player supportt
 endif
 
-flavours_udeb := $(shell grep ^$(DEB_HOST_ARCH) debian/d-i/kernel-versions | awk '{print $$4}')
-
-split_modules :=
-ifeq "$(FGLRX)" "1"
-split_modules += ati/build_mod/2.6.x/fglrx
-endif
-ifeq "$(MADWIFI)" "1"
-split_modules += madwifi/ath_hal/ath_hal
-endif
-ifeq "$(FRITZ)" "1"
