## linux-restricted-modules-2.6.24 2.6.24.13-19.45netbook4dennis2

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.13-19.45netbook4dennis2) hardy; urgency=low

  * Updated Broadcom wl driver to version 5.10.27.14 ( LP: 305348 ). 

 -- Tony Espy <espy@canonical.com>  Tue, 20 Jan 2009 15:33:08 -0500
