=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 madwifi_version = 0.10.0
 
 # broadcom wireless
-bcmwl_version = 5_10_27_11
+bcmwl_version = 5_10_27_14
 bcmwl_dir = bcmwl
 
 # vmware-player
